
<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2004 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "modifica_app.php";
$titolo = "Modifica appartamenti";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include ("./includes/funzioni.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tableanni = $PHPR_TAB_PRE."anni";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include ("./includes/head.php");



$idappartamenti = addslashes($idappartamenti);

if ($cancella_app) {
$oggi = date("Y-m-d",(time() + (C_DIFF_ORE * 3600)));
$anno_attuale = date("Y",(time() + (C_DIFF_ORE * 3600)));

$anni_esistenti = esegui_query("select * from $tableanni order by idanni");
$num_anni_esistenti = numlin_query($anni_esistenti);
$num_tab = 0;
$num_altre_tab = 0;
$tabelle_lock[$num_tab] = "$tableanni";
for ($num1 = 0 ;$num1 < $num_anni_esistenti ; $num1++) {
$anno_esistente = risul_query($anni_esistenti,$num1,idanni);
$tableprenota_lock = $PHPR_TAB_PRE."prenota".$anno_esistente;
$num_tab++;
$tabelle_lock[$num_tab] = $tableprenota_lock;
if ($anno_esistente >= $anno_attuale) {
$tableperiodi_lock = $PHPR_TAB_PRE."periodi".$anno_esistente;
$altre_tab_lock[$num_altre_tab] = $tableperiodi_lock;
$num_altre_tab++;
} # fine if ($anno_esistente >= $anno_attuale)
} # fine for $num1
$num_tab++;
$tabelle_lock[$num_tab] = "$tableappartamenti";
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$anni_esistenti2 = esegui_query("select * from $tableanni order by idanni");
$num_anni_esistenti2 = numlin_query($anni_esistenti2);
if ($num_anni_esistenti != $num_anni_esistenti2) $cancellare = "NO";
for ($num1 = 0 ;$num1 < $num_anni_esistenti ; $num1++) {
$anno_esistente = risul_query($anni_esistenti,$num1,idanni);
$anno_esistente2 = risul_query($anni_esistenti2,$num1,idanni);
if ($anno_esistente != $anno_esistente2) $cancellare = "NO";
} # fine for $num1
if ($cancellare == "NO") echo mex("<b>L'appartamento non  stato cancellato</b> perch il database  cambiato nel frattempo",$pag).".<br>";

$anni_da_controllare = esegui_query("select * from $tableanni where idanni >= $anno_attuale");
$num_anni_da_controllare = numlin_query($anni_da_controllare);
for ($num1 = 0 ;$num1 < $num_anni_da_controllare ; $num1++) {
$anno_da_controllare = risul_query($anni_da_controllare,$num1,idanni);
$tableprenota_da_controllare = $PHPR_TAB_PRE."prenota".$anno_da_controllare;
if ($anno_da_controllare == $anno_attuale) {
$tableperiodi_attuale = $PHPR_TAB_PRE."periodi".$anno_attuale;
$idperiodocorrente = esegui_query("select idperiodi from $tableperiodi_attuale where datainizio <= '$oggi' and datafine >= '$oggi' ");
$numidperiodocorrente = numlin_query($idperiodocorrente);
if ( $numidperiodocorrente >= 1 ) {
$num_risposta = 0;
if ($numidperiodocorrente == 2) $num_risposta = 1;
$idperiodocorrente = risul_query($idperiodocorrente,$num_risposta,idperiodi);
} # fine if ( $numidperiodocorrente >= 1 )
else {
$id_periodi_precedenti = esegui_query("select idperiodi from $tableperiodi_attuale where datainizio <= '$oggi'");
$num_id_periodi_precedenti = numlin_query($id_periodi_precedenti);
if ($num_id_periodi_precedenti > 0) $idperiodocorrente = 99999;
else $idperiodocorrente = -1;
} # fine else if ( $numidperiodocorrente >= 1 )
$prenota_presenti = esegui_query("select * from $tableprenota_da_controllare where idappartamenti = '$idappartamenti' and iddatainizio >= '$idperiodocorrente'");
} # fine if ($anno_da_controllare == $anno_attuale)
else $prenota_presenti = esegui_query("select * from $tableprenota_da_controllare where idappartamenti = '$idappartamenti'");
$num_prenota_presenti = numlin_query($prenota_presenti);
if ($num_prenota_presenti != 0) {
$cancellare = "NO";
echo mex("L'appartamento",$pag)." $idappartamenti ".mex("contiene prenotazione future, non si pu cancellare",$pag).".<br>";
break;
} # fine if ($num_prenota_presenti != 0)
} # fine for $num1

$app_esiste = esegui_query("select * from $tableappartamenti where idappartamenti = '$idappartamenti'");
$num_app_esiste = numlin_query($app_esiste);
if ($num_app_esiste != 1) {
echo mex("L'appartamento",$pag)." $idappartamenti ".mex(" gi stato cancellato",$pag).".<br>";
$cancellare = "NO";
} # fine if ($num_app_esiste != 1)

if ($cancellare != "NO") {
if ($cancella_sicuro != "SI") {
echo mex("Sei sicuro di voler <b>cancellare</b> l'appartamento",$pag)." <b>$idappartamenti</b>?<br>
<form method=\"post\" action=\"modifica_app.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idappartamenti\" value=\"$idappartamenti\">
<input type=\"hidden\" name=\"cancella_sicuro\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" name=\"cancella_app\" value=\"".mex("SI",$pag)."\">
<input class=\"sbutton\" type=\"submit\" name=\"non_cancellare\" value=\"".mex("NO",$pag)."\">
<br></form>";
} # fine if ($cancella_sicuro != "SI")

else {
esegui_query("delete from $tableappartamenti where idappartamenti = '$idappartamenti'");
$id_appartamenti = esegui_query("select idappartamenti from $tableappartamenti order by idappartamenti ");
$num_appartamenti = numlin_query($id_appartamenti);
$fileaperto = fopen("dati/selectappartamenti.php","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php \necho \"\n");
for ( $num = 0; $num < $num_appartamenti; $num = $num + 1) {
$numapp = risul_query($id_appartamenti,$num,idappartamenti);
fwrite($fileaperto,"<option value=\\\"$numapp\\\">$numapp</option>
");
} # fine for $num
fwrite($fileaperto,"\"; \n?>");
flock($fileaperto,3);
fclose($fileaperto);
echo mex("L'appartamento",$pag)." <b>$idappartamenti</b> ".mex(" stato cancellato",$pag).".<br>
<form method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"OK\">
</form>";
} # fine else if ($cancella_sicuro != "SI")
} # fine if ($cancellare != "NO")

else {
echo "
<form method=\"post\" action=\"modifica_app.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idappartamenti\" value=\"$idappartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
<br></form>";
} # fine else if ($cancellare != "NO")

unlock_tabelle($tabelle_lock);
} # fine if ($cancella_app)

else {


if ($modificaappartamento) {

$n_commento = stripslashes($n_commento);
$d_commento = stripslashes($d_commento);
$n_nome_app = str_replace(",","",$n_nome_app);
if (str_replace (" ","",$n_nome_app) == "") $n_nome_app = str_replace(" ","_",$n_nome_app);
$n_nome_app = elimina_caratteri_slash ($n_nome_app);
$n_numcasa = elimina_caratteri_slash ($n_numcasa);
$n_numpiano = elimina_caratteri_slash ($n_numpiano);
$n_maxoccupanti = elimina_caratteri_slash ($n_maxoccupanti);
$n_priorita = elimina_caratteri_slash ($n_priorita);

$anni_esistenti = esegui_query("select * from $tableanni order by idanni");
$num_anni_esistenti = numlin_query($anni_esistenti);
$num_tab = 0;
$num_altre_tab = 0;
if ($n_nome_app and $modificaappartamento == "Continua") {
$tabelle_lock[$num_tab] = "$tableanni";
for ($num1 = 0 ;$num1 < $num_anni_esistenti ; $num1++) {
$anno_esistente = risul_query($anni_esistenti,$num1,idanni);
$tableprenota_lock = $PHPR_TAB_PRE."prenota".$anno_esistente;
$num_tab++;
$tabelle_lock[$num_tab] = $tableprenota_lock;
} # fine for $num1
$num_tab++;
} # fine if ($n_nome_app and $modificaappartamento == "Continua")
$tabelle_lock[$num_tab] = "$tableappartamenti";
if ($n_nome_app and $modificaappartamento == "Continua") {
for ($num1 = 0 ;$num1 < $num_anni_esistenti ; $num1++) {
$anno_esistente = risul_query($anni_esistenti,$num1,idanni);
$tableregole_lock = $PHPR_TAB_PRE."regole".$anno_esistente;
$num_tab++;
$tabelle_lock[$num_tab] = $tableregole_lock;
} # fine for $num1
} # fine if ($n_nome_app and $modificaappartamento == "Continua")
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
if ($n_nome_app and $modificaappartamento == "Continua") {
$anni_esistenti2 = esegui_query("select * from $tableanni order by idanni");
$num_anni_esistenti2 = numlin_query($anni_esistenti2);
if ($num_anni_esistenti != $num_anni_esistenti2) $modificare = "NO";
for ($num1 = 0 ;$num1 < $num_anni_esistenti ; $num1++) {
$anno_esistente = risul_query($anni_esistenti,$num1,idanni);
$anno_esistente2 = risul_query($anni_esistenti2,$num1,idanni);
if ($anno_esistente != $anno_esistente2) $modificare = "NO";
} # fine for $num1
if ($modificare == "NO") echo mex("<b>L'appartamento non  stato modificato</b> perch il database  cambiato nel frattempo",$pag).".<br>";
} # fine if ($n_nome_app and $modificaappartamento == "Continua")

$app_esiste = esegui_query("select * from $tableappartamenti where idappartamenti = '$idappartamenti'");
$num_app_esiste = numlin_query($app_esiste);
if ($num_app_esiste != 1) {
echo mex("L'appartamento",$pag)." $idappartamenti ".mex("non esiste pi",$pag).".<br>";
$modificare = "NO";
$tornare_a = "inizio.php";
} # fine if ($num_app_esiste != 1)
else $tornare_a = $pag;
if ($n_nome_app) {
$app_esiste = esegui_query("select * from $tableappartamenti where idappartamenti = '$n_nome_app'");
$num_app_esiste = numlin_query($app_esiste);
if ($num_app_esiste != 0) {
echo mex("L'appartamento",$pag)." $n_nome_app ".mex("esiste gi",$pag).".<br>";
$modificare = "NO";
} # fine if ($num_app_esiste != 0)
} # fine if ($n_nome_app)


if ($modificare != "NO") {

if ($modificaappartamento != "Continua") {
if ($n_nome_app) { echo mex("Il nome dell'appartamento verr cambiato da",$pag)." $idappartamenti ".mex("a",$pag)." $n_nome_app.<br>"; }
if ($n_numcasa) { echo mex("La casa verr cambiata da",$pag)." $d_numcasa ".mex("a",$pag)." $n_numcasa.<br>"; }
if ($n_numpiano) { echo mex("Il piano verr cambiato da",$pag)." $d_numpiano ".mex("a",$pag)." $n_numpiano.<br>"; }
if ($n_maxoccupanti) { echo mex("Il massimo numero di occupanti verr cambiato da",$pag)." $d_maxoccupanti ".mex("a",$pag)." $n_maxoccupanti.<br>"; }
if ($n_priorita) { echo mex("La priorit verr cambiata da",$pag)." $d_priorita ".mex("a",$pag)." $n_priorita.<br>"; }
if ($n_commento != $d_commento) { echo mex("Il commento verr cambiato",$pag).".<br>"; }
echo "<form method=\"post\" action=\"modifica_app.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idappartamenti\" value=\"$idappartamenti\">
<input type=\"hidden\" name=\"n_nome_app\" value=\"$n_nome_app\">
<input type=\"hidden\" name=\"n_numcasa\" value=\"$n_numcasa\">
<input type=\"hidden\" name=\"n_numpiano\" value=\"$n_numpiano\">
<input type=\"hidden\" name=\"n_maxoccupanti\" value=\"$n_maxoccupanti\">
<input type=\"hidden\" name=\"n_priorita\" value=\"$n_priorita\">
<input type=\"hidden\" name=\"n_assegnazioneapp\" value=\"$n_assegnazioneapp\">
<input type=\"hidden\" name=\"n_commento\" value=\"$n_commento\">
<input type=\"hidden\" name=\"d_commento\" value=\"$d_commento\">
<input type=\"hidden\" name=\"modificaappartamento\" value=\"Continua\">
<input class=\"sbutton\" type=\"submit\" name=\"modificaappartamento_vedi\" value=\"".mex("Continua",$pag)."\">
<hr width=\"95%\">
</form>";
} # fine if ($modificaappartamento != "Continua")

else {

if ($n_nome_app) {
esegui_query("update $tableappartamenti set idappartamenti = '$n_nome_app' where idappartamenti = '$idappartamenti' ");
for ($num1 = 0 ; $num1 < $num_anni_esistenti ; $num1++) {
$anno_cambia = risul_query($anni_esistenti,$num1,idanni);
$tableprenota_cambia = $PHPR_TAB_PRE."prenota".$anno_cambia;
esegui_query("update $tableprenota_cambia set idappartamenti = '$n_nome_app' where idappartamenti = '$idappartamenti' ");
$prenota_c = esegui_query("select * from $tableprenota_cambia where app_assegnabili != '' ");
$num_prenota_c = numlin_query($prenota_c);
for ($num2 = 0 ; $num2 < $num_prenota_c ; $num2++) {
$app_assegnabili = risul_query($prenota_c,$num2,app_assegnabili);
$app_assegnabili = explode(",",$app_assegnabili);
$num_app_assegnabili = count($app_assegnabili);
for ($num3 = 0 ; $num3 < $num_app_assegnabili ; $num3++) {
if ($app_assegnabili[$num3] == $idappartamenti) {
$app_assegnabili[$num3] = $n_nome_app;
$n_app_assegnabili = $app_assegnabili[0];
for ($num4 = 1 ; $num4 < $num_app_assegnabili ; $num4++) {
$n_app_assegnabili .= ",".$app_assegnabili[$num4];
} # fine for $num4
$idprenota = risul_query($prenota_c,$num2,idprenota);
esegui_query("update $tableprenota_cambia set app_assegnabili = '$n_app_assegnabili' where idprenota = '$idprenota' ");
break;
} # fine if ($app_assegnabili[$num3] == $idappartamenti)
} # fine for $num3
} # fine for $num2
$tableregole_cambia = $PHPR_TAB_PRE."regole".$anno_cambia;
esegui_query("update $tableregole_cambia set app_agenzia = '$n_nome_app' where app_agenzia = '$idappartamenti' ");
$regole2 = esegui_query("select * from $tableregole_cambia where tariffa_per_app != '' ");
$num_regole2 = numlin_query($regole2);
for ($num2 = 0 ; $num2 < $num_regole2 ; $num2++) {
$motivazione = risul_query($regole2,$num2,motivazione);
$motivazione = explode(",",$motivazione);
$num_motivazione = count($motivazione);
for ($num3 = 0 ; $num3 < $num_motivazione ; $num3++) {
if ($motivazione[$num3] == $idappartamenti) {
$motivazione[$num3] = $n_nome_app;
$n_motivazione = $motivazione[0];
for ($num4 = 1 ; $num4 < $num_motivazione ; $num4++) {
$n_motivazione .= ",".$motivazione[$num4];
} # fine for $num4
$idregole = risul_query($regole2,$num2,idregole);
esegui_query("update $tableregole_cambia set motivazione = '$n_motivazione' where idregole = '$idregole' ");
break;
} # fine if ($motivazione[$num3] == $idappartamenti)
} # fine for $num3
} # fine for $num2
} # fine for $num1
$idappartamenti = $n_nome_app;
$id_appartamenti = esegui_query("select idappartamenti from $tableappartamenti order by idappartamenti ");
$num_appartamenti = numlin_query($id_appartamenti);
$fileaperto = fopen("dati/selectappartamenti.php","w+");
flock($fileaperto,2);
fwrite($fileaperto,"<?php \necho \"\n");
for ( $num = 0; $num < $num_appartamenti; $num = $num + 1) {
$numapp = risul_query($id_appartamenti,$num,idappartamenti);
fwrite($fileaperto,"<option value=\\\"$numapp\\\">$numapp</option>
");
} # fine for $num
fwrite($fileaperto,"\"; \n?>");
flock($fileaperto,3);
fclose($fileaperto);
} # fine if ($n_nome_app)

if ($n_numcasa) {
esegui_query("update $tableappartamenti set numcasa = '$n_numcasa' where idappartamenti = '$idappartamenti' ");
} # fine if ($n_numcasa)
if ($n_numpiano) {
esegui_query("update $tableappartamenti set numpiano = '$n_numpiano' where idappartamenti = '$idappartamenti' ");
} # fine if ($n_numpiano)
if ($n_maxoccupanti) {
esegui_query("update $tableappartamenti set maxoccupanti = '$n_maxoccupanti' where idappartamenti = '$idappartamenti' ");
} # fine if ($n_maxoccupanti)
if ($n_priorita) {
esegui_query("update $tableappartamenti set priorita = '$n_priorita' where idappartamenti = '$idappartamenti' ");
} # fine if ($n_priorita)
if ($n_commento != $d_commento) {
$n_commento = addslashes($n_commento);
esegui_query("update $tableappartamenti set commento = '$n_commento' where idappartamenti = '$idappartamenti' ");
} # fine if ($n_commento != $d_commento)
echo mex("L'appartamento",$pag)." $idappartamenti ".mex(" stato modificato",$pag).".<br>";
} # fine else if ($modificaappartamento != "Continua")

} # fine if ($modificare != "NO")
unlock_tabelle($tabelle_lock);

echo "<center>
<form method=\"post\" action=\"$tornare_a\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idappartamenti\" value=\"$idappartamenti\">";
echo "<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
<br></form></center>";
} # fine if ($modificaappartamento)

else {



# Form per modificare l'appartamento.
echo "<center><font size=+2><b>".mex("Modifica l'appartamento",$pag)." $idappartamenti.</b></font></center>";

$appartamento = esegui_query("select * from $tableappartamenti where idappartamenti = '$idappartamenti'");
$d_numcasa = risul_query($appartamento,0,numcasa);
$d_numpiano = risul_query($appartamento,0,numpiano);
$d_maxoccupanti = risul_query($appartamento,0,maxoccupanti);
$d_priorita = risul_query($appartamento,0,priorita);
$d_commento = risul_query($appartamento,0,commento);

echo "<br>
<form method=\"post\" action=\"modifica_app.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idappartamenti\" value=\"$idappartamenti\">
<table cellspacing=2 cellpadding=5>
<tr><td>".mex("Nome",$pag).": <b>$idappartamenti</b></td>
<td>".mex("Cambia in",$pag)." <input type=\"text\" name=\"n_nome_app\" size=\"10\"></td></tr>
<tr><td>".mex("Casa",$pag).": <b>$d_numcasa</b></td>
<td>".mex("Cambia in",$pag)." <input type=\"text\" name=\"n_numcasa\" size=\"10\"></td></tr>
<tr><td>".mex("Piano",$pag).": <b>$d_numpiano</b></td>
<td>".mex("Cambia in",$pag)." <input type=\"text\" name=\"n_numpiano\" size=\"10\" maxlength=\"10\"></td></tr>
<tr><td>".mex("Capienza",$pag).": <b>$d_maxoccupanti</b> ".mex("Persone",$pag)."</td>
<td>".mex("Cambia in",$pag)." <input type=\"text\" name=\"n_maxoccupanti\" size=\"2\" maxlength=\"2\"></td></tr>
<tr><td>".mex("Priorit",$pag).": <b>$d_priorita</b></td>
<td>".mex("Cambia in",$pag)." <input type=\"text\" name=\"n_priorita\" size=\"5\" maxlength=\"5\"></td></tr>
</table>
".mex("Commento",$pag).":<br>
<textarea name=\"n_commento\" rows=3 cols=45 wrap=\"virtual\">$d_commento</textarea><br>
<center>
".mex("<b>Attenzione</b>: le prenotazioni gi inserite in questo appartamento <b>non</b> verranno spostate",$pag).",<br>
".mex("anche se le loro caratteristiche non sono pi compatibili",$pag).".<br>
<input class=\"sbutton\" type=\"submit\" name=\"modificaappartamento\" value=\"".mex("Modifica l'appartamento",$pag)." $idappartamenti\">
<input type=\"hidden\" name=\"d_numcasa\" value=\"$d_numcasa\">
<input type=\"hidden\" name=\"d_numpiano\" value=\"$d_numpiano\">
<input type=\"hidden\" name=\"d_maxoccupanti\" value=\"$d_maxoccupanti\">
<input type=\"hidden\" name=\"d_priorita\" value=\"$d_priorita\">
<input type=\"hidden\" name=\"d_commento\" value=\"$d_commento\">
</center></form>
<hr width=\"95%\"><br><center>
<form method=\"post\" action=\"modifica_app.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idappartamenti\" value=\"$idappartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"cancella_app\" value=\"".mex("Cancella l'appartamento",$pag)." $idappartamenti\">
</form></center>
<hr width=\"95%\"><center>
<form method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"appartamenti\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";


} # fine else if ($modificaappartamento)


} # fine else if ($cancella_app)



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include ("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)



?>
